// FILENAME:	DM_Tropical_Storm.cs
//
// TERRAIN:       Tropical_Storm.ted.vol
//
// CREATOR:  	Com. Sentinal [M.I.B.]
//------------------------------------------------------------------------------

$missionName = "DM_Tropical_Storm";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = true;
	$server::AllowTeamPurple = true;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = false;
   $server::disableTeamPurple = false;
}

function onMissionStart()
{
   temperateSounds();
   stormSounds();
}

function onMissionLoad()
{
   cdAudioCycle("NewTech", "Terror", "Yougot", "Mechsoul"); 
}

function player::onAdd(%player)
{
   say(%player, 0, "Welcome to Deathmatch Tropical Storm! You can download DM_Tropical_Storm & other terrain-based missions made by Com. Sentinal [M.I.B.] in the \"MIB Terrain Pack\" on the MIB Website at www.starsiegemeninblack.cjb.net.");
   messageBox(%player, "This map requires that you download a new terrain to play. It is available for download in the \"MIB Terrain Pack\" on the MIB website at www.starsiegemeninblack.cjb.net");
}
